Debian Bug report logs - #539019
RM: libmd5-perl -- ROM; deprecated

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ansgar Burchardt <ansgar@2008.43-1.org>

Date: Tue, 28 Jul 2009 14:15:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#539019; Package libmd5-perl. (Tue, 28 Jul 2009 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
New Bug report received and forwarded. Copy sent to Jay Bonci <jaybonci@debian.org>. (Tue, 28 Jul 2009 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@2008.43-1.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmd5-perl: remove from Debian
Date: Tue, 28 Jul 2009 16:09:16 +0200
Package: libmd5-perl
Version: 2.03-2
Severity: normal

The MD5 module should be removed from Debian.  It is deprecated and has
been replaced by Digest::MD5 (which has almost the same API).

Some packages still depend on/recommend/suggest libmd5-perl (according
to apt-cache showpkg):

  gnudip: #539002
  hearse: only alternative dependency
  libcrypt-simple-perl: fixed in our SVN
  libopensrs-perl: #539010
  pilot-link: suggests libmd5-perl, but does not use it (it uses Digest::MD5)
  pop3browser: only recommends, #539011
  rkhunter: only recommends, #539018
  sympa: fixed in 5.4.7-1

Regards,
Ansgar




Added blocking bug(s) 539010, 539002, 539011, and 539018 Request was from ansgar@43-1.org (Ansgar Burchardt) to control@bugs.debian.org. (Tue, 28 Jul 2009 14:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#539019; Package libmd5-perl. (Sun, 29 Nov 2009 14:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 29 Nov 2009 14:21:08 GMT) Full text and rfc822 format available.

Message #12 received at 539019@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: debian-perl@lists.debian.org
Cc: 539019@bugs.debian.org
Subject: removal of libmd5-perl
Date: Sun, 29 Nov 2009 23:16:00 +0900
Hi,

I was wondering what the best way to proceed with the removal of the
long-deprecated libmd5-perl module is.

In July I opened several bug reports for packages still depending on
libmd5-perl of which about half have been resolved.

Still remaining are:

 - pop3browser, Recommends: libmd5-perl, but does actually not use it.
   See #539011.
 - libopensrs-perl: #539010, has an (untested) patch
 - (gnudip: #539002, has been removed from unstable)

I also filed a bug for pilot-link which Suggests: libmd5-perl, see
#558596.  hearse also has libmd5-perl as an alternative dependency,
but I'm not sure if we should file a bug report for that or not.

What is the best way to proceed?  I would increase the severity of the
bug reports for packages depending on or recommending libmd5-perl to
important with a note that we will soon ask for removal of libmd5-perl.
After two weeks, we could ask for removal of libmd5-perl from unstable
and then raise the severity to serious as the packages would no longer
be installable or violate policy (recommending a package not in main).

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#539019; Package libmd5-perl. (Sun, 29 Nov 2009 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 29 Nov 2009 15:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 539019@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org, 539019@bugs.debian.org
Subject: Re: Bug#539019: removal of libmd5-perl
Date: Sun, 29 Nov 2009 17:36:45 +0200
[Message part 1 (text/plain, inline)]
-=| Ansgar Burchardt, Sun, Nov 29, 2009 at 11:16:00PM +0900 |=-
> I was wondering what the best way to proceed with the removal of the
> long-deprecated libmd5-perl module is.
> 
> In July I opened several bug reports for packages still depending on
> libmd5-perl of which about half have been resolved.
> 
> [snip]
> 
> What is the best way to proceed?  I would increase the severity of the
> bug reports for packages depending on or recommending libmd5-perl to
> important with a note that we will soon ask for removal of libmd5-perl.
> After two weeks, we could ask for removal of libmd5-perl from unstable
> and then raise the severity to serious as the packages would no longer
> be installable or violate policy (recommending a package not in main).

Sounds good. I think that NMUs can be used to close the upgraded bugs 
after some additional time (two weeks seems to be the universal unit). 
After these NMUs land in the archive, the removal request should be 
processed without problems.

Thank you for taking care of this.

-- 
dam
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#539019; Package libmd5-perl. (Sun, 29 Nov 2009 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 29 Nov 2009 19:51:06 GMT) Full text and rfc822 format available.

Message #22 received at 539019@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: debian-perl@lists.debian.org
Cc: 539019@bugs.debian.org
Subject: Re: Bug#539019: removal of libmd5-perl
Date: Sun, 29 Nov 2009 20:47:58 +0100
[Message part 1 (text/plain, inline)]
On Sun, 29 Nov 2009 17:36:45 +0200, Damyan Ivanov wrote:

> > What is the best way to proceed?  I would increase the severity of the
> > bug reports for packages depending on or recommending libmd5-perl to
> > important with a note that we will soon ask for removal of libmd5-perl.
> > After two weeks, we could ask for removal of libmd5-perl from unstable
> > and then raise the severity to serious as the packages would no longer
> > be installable or violate policy (recommending a package not in main).
> Sounds good. 

Ack.

> I think that NMUs can be used to close the upgraded bugs 
> after some additional time (two weeks seems to be the universal unit). 
> After these NMUs land in the archive, the removal request should be 
> processed without problems.

IIRC the ftp-masters remove packages more or less immediately, but at
least without waiting for rdepends to be fixed. They'd have to wait
for too long I guess :)

But that doesn't change the procedure; after removal the other
packages are buggy and someone[tm] has to either fix or remove them.
 
Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Tanita Tikaram: Trouble
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#539019; Package libmd5-perl. (Sun, 13 Dec 2009 04:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 13 Dec 2009 04:21:02 GMT) Full text and rfc822 format available.

Message #27 received at 539019@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 539019@bugs.debian.org
Subject: RM: libmd5-perl -- ROM; deprecated
Date: Sun, 13 Dec 2009 13:19:33 +0900
notfound 539019 2.03-2
reassign 539019 ftp.debian.org
retitle  539019 RM: libmd5-perl -- ROM; deprecated
thanks

Hi,

please remove the libmd5-perl package from unstable.
The MD5 Perl module has been made obsolete by Digest::MD5 years ago.

There are two rdeps remaining, no other packages in unstable should
depend on/recommend libmd5-perl any longer.

  libopensrs-perl (#539010) Depends on libmd5-perl
  pop3browser     (#539011) Recommends libmd5-perl

Thanks,
Ansgar




Bug No longer marked as found in versions libmd5-perl/2.03-2. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sun, 13 Dec 2009 04:21:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libmd5-perl' to 'ftp.debian.org'. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sun, 13 Dec 2009 04:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libmd5-perl -- ROM; deprecated' from 'libmd5-perl: remove from Debian' Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sun, 13 Dec 2009 04:21:05 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 13 Dec 2009 21:09:04 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
Bug acknowledged by developer. (Sun, 13 Dec 2009 21:09:04 GMT) Full text and rfc822 format available.

Message #38 received at 539019-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 539019-close@bugs.debian.org
Cc: libmd5-perl@packages.debian.org, libmd5-perl@packages.qa.debian.org
Subject: Bug#539019: Removed package(s) from unstable
Date: Sun, 13 Dec 2009 21:08:23 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libmd5-perl |     2.03-2 | source, all

------------------- Reason -------------------
ROM; deprecated
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539019@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/539019

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Barry deFreese (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jan 2010 07:28:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:51:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.